Edit Kick Viewers
curl --request POST \
--url https://api.streamskill.pro/v1/purchases/{orderId}/edit-kick-viewers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "kick",
"threads": 100,
"raid": false,
"raid_time": 10,
"connect_time": 5,
"floating_online": true,
"geo": "auto",
"stats_viewers": true
}
'import requests
url = "https://api.streamskill.pro/v1/purchases/{orderId}/edit-kick-viewers"
payload = {
"channel": "kick",
"threads": 100,
"raid": False,
"raid_time": 10,
"connect_time": 5,
"floating_online": True,
"geo": "auto",
"stats_viewers": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: 'kick',
threads: 100,
raid: false,
raid_time: 10,
connect_time: 5,
floating_online: true,
geo: 'auto',
stats_viewers: true
})
};
fetch('https://api.streamskill.pro/v1/purchases/{orderId}/edit-kick-viewers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401,
"type": "unauthorized_http_exception"
}{
"name": "Purchase not found",
"code": 0,
"message": "Object not found: {ID}",
"status": 404,
"type": "purchase_not_found_exception"
}{
"name": "Method Not Allowed",
"message": "Action is unavailable for this order",
"code": 0,
"status": 405,
"type": "action_unavailable"
}{
"name": "Purchase Done",
"message": "Order already completed",
"code": 0,
"status": 409,
"type": "purchase_done"
}{
"name": "Bad Request",
"errors": {
"tarif.id": [
"Tarif not found"
]
},
"code": 0,
"status": 422,
"type": "validate_exception"
}{
"name": "Action failed",
"message": "Action not performed",
"code": 0,
"status": 500,
"type": "action_failed"
}Actions
Edit Kick Viewers
Edit settings for a Kick Viewers order. Only works for orders where order_type is ‘viewers’ and service is ‘kick’.
POST
/
purchases
/
{orderId}
/
edit-kick-viewers
Edit Kick Viewers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The language of the response
Available options:
en, ru Path Parameters
The ID of the order
Body
application/json
All parameters are optional. Only pass the parameters you want to change.
Kick channel name (without https://kick.com/ prefix)
Example:
"kick"
Number of viewers (cannot exceed the originally purchased amount)
Required range:
x >= 1Example:
100
Enable raid mode
Example:
false
Raid duration in minutes
Required range:
5 <= x <= 60Example:
10
Viewer connection time in minutes (1 to min(60, threads))
Required range:
1 <= x <= 60Example:
5
Enable floating online
Example:
true
Country code for geo targeting
Available options:
auto, us, br, ru, mx, tr, de, gb, it, ca, ua, by, pt, ar, es, sa Example:
"auto"
Enable viewer statistics
Example:
true
Response
Action Success
The status of the action
Example:
"ok"
⌘I